Bug 1065058 - Review Request: textql - Execute SQL against structured text like CSV or TSV
Review Request: textql - Execute SQL against structured text like CSV or TSV
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-13 14:35 EST by Fabio Alessandro Locati
Modified: 2016-09-08 04:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Alessandro Locati 2014-02-13 14:35:37 EST
Spec URL: http://data.fabiolocati.com/fedora/textql/textql.spec
SRPM URL: http://data.fabiolocati.com/fedora/textql/textql-0.0-1.gita7fbbe2.fc20.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=6527905
Description: This tool allows you to run sql-like queries on structured files
like CSV and TSV.
Fedora Account System Username: fale

This is my second fedora package (1st one is at bug 1062942) from scratch and third work on fedora packages (there is also bug 1062668) and I'm looking for a sponsor.
Comment 1 Mukundan Ragavan 2014-02-13 15:05:43 EST
Some quick comments -

You can drop 

* BuildRequires: gcc
* BuildRequires: gcc-go


You package builds for me in mock. Try building the binary rpm and check for errors using rpmlint.

$ rpmlint textql.spec /var/lib/mock/fedora-rawhide-x86_64/result/textql-*rpm
textql.spec: W: invalid-url Source0: textql-a7fbbe2.tar
textql.src: W: spelling-error %description -l en_US sql -> sq, sol, sq l
textql.src: W: invalid-url Source0: textql-a7fbbe2.tar
textql.x86_64: W: spelling-error %description -l en_US sql -> sq, sol, sq l
textql.x86_64: W: no-manual-page-for-binary textql
textql-debuginfo.x86_64: E: debuginfo-without-sources
3 packages and 1 specfiles checked; 1 errors, 5 warnings.

debuginfo-without-source is particularly a problem.
 - https://fedoraproject.org/wiki/Common_Rpmlint_issues#debuginfo-without-sources

Hope this helps.
Comment 2 Fabio Alessandro Locati 2014-02-13 15:49:22 EST
Hi :),

Thanks for the comment. I've ignored the error since another package is created (textql-debuginfo-0.0-1.gita7fbbe2.fc20.i686.rpm) which contains all debug files:

/usr/lib/debug
/usr/lib/debug/.build-id
/usr/lib/debug/.build-id/30
/usr/lib/debug/.build-id/30/f803f80c1250509f25a3984b7c5084bfd5592f
/usr/lib/debug/.build-id/30/f803f80c1250509f25a3984b7c5084bfd5592f.debug
/usr/lib/debug/usr
/usr/lib/debug/usr/bin
/usr/lib/debug/usr/bin/textql.debug

I'll move the debug part in the core package and drop the second one :).
Comment 3 Christopher Meng 2014-02-13 19:41:01 EST
You'd better wait for a while, go packaging guideline is being developed:

https://fedorahosted.org/fpc/ticket/382

(In reply to Fabio Alessandro Locati from comment #2)
> Hi :),
> 
> Thanks for the comment. I've ignored the error since another package is
> created (textql-debuginfo-0.0-1.gita7fbbe2.fc20.i686.rpm) which contains all
> debug files:
> 
> /usr/lib/debug
> /usr/lib/debug/.build-id
> /usr/lib/debug/.build-id/30
> /usr/lib/debug/.build-id/30/f803f80c1250509f25a3984b7c5084bfd5592f
> /usr/lib/debug/.build-id/30/f803f80c1250509f25a3984b7c5084bfd5592f.debug
> /usr/lib/debug/usr
> /usr/lib/debug/usr/bin
> /usr/lib/debug/usr/bin/textql.debug
> 
> I'll move the debug part in the core package and drop the second one :).

Please nuke the debuginfo, it's nonsense to include them in the main package.

golang packages should have no debuginfo.
Comment 4 Miroslav Suchý 2016-07-31 13:11:36 EDT
ping. What is the situation here? Do you want to continue or drop this one?
Comment 5 Fabio Alessandro Locati 2016-08-03 04:15:46 EDT
In the mean time a lot of polices on GOLANG has been polished, and therefore I've re-created the SPEC from scratch.

SPEC: https://fale.fedorapeople.org/rpms/golang-github-dinedal-textql.spec
SRPM: https://fale.fedorapeople.org/rpms/golang-github-dinedal-textql-2.0.3-1.fc24.src.rpm
KOJI: http://koji.fedoraproject.org/koji/taskinfo?taskID=15115062
Comment 6 Parag AN(पराग) 2016-09-08 04:19:58 EDT
Just found this https://bugzilla.redhat.com/show_bug.cgi?id=1062942#c25 and according to that this review should not block for FE-NEEDSPONSOR queue.
Comment 7 Fabio Alessandro Locati 2016-09-08 04:34:28 EDT
That is true. I forgot to remove the blocking status from this repo when I got accepted as a packager. Good catch Parag :) and thanks!

Note You need to log in before you can comment on or make changes to this bug.